System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Collections.ICollection To be added

Provides a collection of application-scoped objects for the property.

- Constructor
  To be added

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` `` To be added

  Copies members of an into an array.

  The array to copy the into. The member of the collection where copying starts. 1.0.5000.0 2.0.0.0
- Property
  System.Int32 To be added: an object of type 'int' To be added

  Gets the number of objects in the collection.

  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.Web.HttpStaticObjectsCollection ``

  The method is used to read the contents of a object that is stored in a storage location that is created by the method. To serialize an , use the method.

  Creates an object from a binary file that was written by using the method.

  An populated with the contents from a binary file written using the method.

  The used to read the serialized collection from a stream or encoded string.
- Method
  System.Collections.IEnumerator To be added

  Returns a dictionary enumerator used for iterating through the key-and-value pairs contained in the collection.

  The enumerator for the collection.

  1.0.5000.0
  2.0.0.0
- Method
  System.Object `` To be added

  Returns the object with the specified name from the collection. This property is an alternative to the this accessor.

  An object from the collection.

  The case-insensitive name of the object to return. 1.0.5000.0 2.0.0.0
- Property
  System.Boolean To be added: an object of type 'bool' To be added

  Gets a value indicating whether the collection is read-only.

  1.0.5000.0
  2.0.0.0
- Property
  System.Boolean To be added: an object of type 'bool' To be added

  Gets a value indicating whether the collection is synchronized (that is, thread-safe).

  1.0.5000.0
  2.0.0.0
- Property
  System.Object `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Property
  2.0.0.0
  System.Boolean To be added. To be added.

  Gets a Boolean value indicating whether the collection has been accessed before.

- Method
  2.0.0.0
  System.Void ``

  You can use the method to write the contents of a object to a object. To retrieve a serialized object, use the method.

  Writes the contents of the collection to a object.

  The used to write the serialized collection to a stream or encoded string.
- Property
  System.Object To be added: an object of type 'object'

  Program code should generally perform synchronized operations on the of a collection, not directly on the collection itself. This ensures proper operation of collections that are derived from other objects. Specifically, it maintains proper synchronization with other threads that might be simultaneously modifying the collection object.

  The object returned in this implementation is the itself.

  Gets an object that can be used to synchronize access to the collection.

  1.0.5000.0
  2.0.0.0